(***********************************************************)
(*                                                         *)
(*   GraphVGA Unit  Revision 1.0                           *)
(*   (c) 1991 by Modern Solutions.  All rights reserved.   *)
(*                                                         *)
(***********************************************************)

unit GraphVGA;

interface

const
  fastreplace=$00;
  fastand=$08;
  fastor=$10;
  fastxor=$18;

procedure SetVideoMode(number:byte);
function GetVideoMode:integer;
function CharacterHeight:word;
function EGApresent:boolean;
function EGAmemory:integer;
procedure FastLine(x1,y1,x2,y2,number:integer);
function FastGetPixel(x1,y1:integer):integer;
procedure FastPutPixel(x1,y1,number:integer);
procedure FastGetBlock(x1,y1,x2,y2:integer;storage:pointer);
procedure FastPutBlock(x1,y1:integer;storage:pointer);
procedure FastChar(c1:char;x1,y1,f1,b1:integer);
procedure FastMode(mode:integer);
procedure FastColor(number,value:integer);
procedure FastCircle(xc,yc,major,minor,number:integer);
procedure ScreenStart(x1,y1:integer);
procedure ScreenSize(x1,y1:integer);
procedure ScreenBorder(number:integer);
procedure ScreenFont(font:pointer;height:word);
function Joybutton(sticknumber,buttonnumber:integer):boolean;
procedure Joystick(sticknumber:integer;var x,y:integer);

implementation

{$L SETVIDEO}
procedure SetVideoMode(number:byte); external;

{$L GETVIDEO}
function GetVideoMode:integer; external;

{$L CHARHEIG}
function CharacterHeight:word; external;

{$L EGAPRESE}
function EGApresent:boolean; external;

{$L EGAMEMOR}
function EGAmemory:integer; external;

{$L FASTLINE}
procedure FastLine(x1,y1,x2,y2,number:integer); external;

{$L GETPIX}
function FastGetPixel(x1,y1:integer):integer; external;

{$L PUTPIX}
procedure FastPutPixel(x1,y1,number:integer); external;

{$L GETBLOCK}
procedure FastGetBlock(x1,y1,x2,y2:integer;storage:pointer); external;

{$L PUTBLOCK}
procedure FastPutBlock(x1,y1:integer;storage:pointer); external;

{$L FASTCHAR}
procedure FastChar(c1:char;x1,y1,f1,b1:integer); external;

{$L FASTMODE}
procedure FastMode(mode:integer); external;

{$L FASTCOLO}
procedure FastColor(number,value:integer); external;

{$L FASTCIRC}
procedure FastCircle(xc,yc,major,minor,number:integer); external;

{$L SCREENST}
procedure ScreenStart(x1,y1:integer); external;

{$L SCREENSI}
procedure ScreenSize(x1,y1:integer); external;

{$L SCREENBO}
procedure ScreenBorder(number:integer); external;

{$L SCREENFO}
procedure ScreenFont(font:pointer;height:word); external;

{$L JOYBUTTO}
function Joybutton(sticknumber,buttonnumber:integer):boolean; external;

{$L JOYSTICK}
procedure Joystick(sticknumber:integer;var x,y:integer); external;

end.

